themeVersion

Configure the version that will appear in the pom.xml file winthin the jar file of your theme.

By default the version that is used is the one in the package.json of your project

package.json
{
    "version": "1.3.4"
}

But you can overwrite this value using an environment variable:

vite.config.ts
import { defineConfig } from 'vite'
import react from '@vitejs/plugin-react'
import { keycloakify } from "keycloakify/vite-plugin";

export default defineConfig({
  plugins: [
    react(), 
    keycloakify({
      themeVersion: "1.2.3"
    })
  ],
})

By default it's the package.json homepage field at reverse with .keycloak at the end.

Last updated